Streams: PTE and Experimental Builds

Discussion in 'Support!' started by garat, April 23, 2014.

  1. elwyn

    elwyn Member

    Messages:
    68
    Likes Received:
    16
  2. Antiglow

    Antiglow Well-Known Member

    Messages:
    342
    Likes Received:
    319
  3. Paappa

    Paappa Member

    Messages:
    88
    Likes Received:
    55
    Hi,

    Has the old launcher been ditched? I had two launchers: one for stable and other for PTE. They were on separate folders and I was able to play via both. Yesterday old launcher updated itself to new one. It has patched both builds at least three times today, but version numbers stay same.

    I find this odd. Has there been some hotfixes and a release of the new launcher? (and Its weekend and nothing usually happens on weekends.)

    Or is there something wrong in my end though I have not changed anything ?

    Edit: Im on Windows Vista 64-Bit, Uber launcher.

    Has anyone else experienced this behavior?
    Last edited: May 6, 2014
  4. brannag

    brannag New Member

    Messages:
    1
    Likes Received:
    0
    How do I see if i am on the PTE? ;) And 2nd Question: Is the PTE for like everyone everyone or everyone who got a key/activated account by buying early access or Kickstarter?

    Best,
  5. Paappa

    Paappa Member

    Messages:
    88
    Likes Received:
    55
    You need to download new launcher. links are on first post. Log in. Open drop down menu by clicking you name. Check PTE on build options. After that you can choose between stable and PTE on launch. when launching PTE the game informs you that there is a newer version (refers to stable build, which is ironically older). Ignore the note and enjoy PTE with AI, because lobby is deserted most of time. You can check version number on main menu.

    I think PTE is for everyone who has an access now.
    Last edited: June 28, 2014
  6. warrenkc

    warrenkc Active Member

    Messages:
    542
    Likes Received:
    191
    I know many people have mentioned it, but I will just make sure it is noted.
    I found it nearly impossible and highly impracticable to move my units (specifically I was using basic tanks).

    They would not really move at all, then sometimes they would move a bit. Very strange.
  7. epicblaster117

    epicblaster117 Active Member

    Messages:
    420
    Likes Received:
    231
    Oh wow....google Chrome thinks its malware, Lol.
  8. shootall

    shootall Active Member

    Messages:
    218
    Likes Received:
    184
    I can play one match fine in PTE but when i return to menu and click "play" again, it crashes. It reminds me of how i sometimes can't see the games list after i play regular games on stable, i either have to wait a minute, go via the system editor or restart the client.

    I'm on linux with proprietary nvidia, using the method described by sxx in the beginning of this thread.
  9. garat

    garat Cat Herder Uber Alumni

    Messages:
    3,344
    Likes Received:
    5,376
    Answers to various questions:
    • Yes, the old launcher has been deprecated. By moving to the new one, it will allow more flexibility, not just in terms of the PTE, but in terms of how we handle new builds in general, which is a good thing to make it easier to get new stuff out to the community.
    • If Google Chrome thinks it's malware, you may have a third party scanner installed. Our executables are signed, with our full on secure certificate. Default Google Chrome has never triggered a warning with it before, to my knowledge.
    • PTE stands for Public Test Environment. You can guess who's allowed to play (If you own the game, you can play on there).
    • Tanks won't move - that's one of the situations I was talking about in the PTE current stream thread. We're trying to stomp the remaining cases of that. But always, err on the side of over-reporting a bug, rather than assuming everyone already knows about it. :) Though preferably in the stream specific thread, not this one.
    shootall and Paappa like this.
  10. hobarrera

    hobarrera New Member

    Messages:
    28
    Likes Received:
    6
    The linux one is broken: it assumes there's native IPv4 connectivity:

    Code:
    $ go run /opt/PA-pte/papatcher.go
    setting GOMAXPROCS to 4
    Ubername: hobarrera
    Password: StupidLauncherPuttingPlainTextPasswords
    logging in...
    Could not contact http://uberent.com:
      Post http://uberent.com/GC/Authenticate: dial tcp 184.72.40.235:80: network is unreachable
    exit status 1
    PA, however, works fine on an environment with IPv6-only and NAT64 at a gateway/ISP level.

    Also, what's the licence on the launcher? It says open source, but no further detail is given.
    Last edited: May 30, 2014
    shootall likes this.
  11. SXX

    SXX Post Master General

    Messages:
    6,897
    Likes Received:
    1,812
    I suppose it's not the launcher problem but something related to Go runtime.
    shootall likes this.
  12. hobarrera

    hobarrera New Member

    Messages:
    28
    Likes Received:
    6
    Yup, I tested it and then discussed it on go's IRC channel, it's a bug:
    https://code.google.com/p/go/issues/detail?id=8124&thanks=8124&ts=1401465362

    In the meantime, is there any other way to download the PTE builds?
    shootall likes this.
  13. DeathByDenim

    DeathByDenim Post Master General

    Messages:
    4,328
    Likes Received:
    2,124
    I think the trouble is that there is no IPv6 address assigned to uberent.com. Therefore the launcher finds only the IPv4 address, which it can then not use. I think.

    EDIT: Oh, or maybe what hobarrera said...
  14. hobarrera

    hobarrera New Member

    Messages:
    28
    Likes Received:
    6
    I have NAT64 +DNS64 at a router/ISP level, so lack of IPv4 on the other end is not an issue, but local applications *must* be IPv6-compatible in order to work.
  15. yrrep

    yrrep Member

    Messages:
    67
    Likes Received:
    79
    I have no idea if it will work with your setup but I've written my own patcher that might help you get the PTE build:

    https://gist.github.com/anonymous/aee9bc6f0c2dabef1865
    Copyright © 2014 Yrrep This work is free. You can redistribute it and/or modify it under the terms of the Do What The **** You Want To Public License, Version 2, as published by Sam Hocevar. See http://www.wtfpl.net/ for more details.

    It saves the game in ~/.local/Uber Entertainment/PA/<StreamName>. If it does anything you don't want it to, change it.
    shootall likes this.
  16. hobarrera

    hobarrera New Member

    Messages:
    28
    Likes Received:
    6
    Works like a charm. :)
    Generally, you don't have to worry about stuff like IPv4/IPv6, unless the core libraries of the language you're using are broken. Python isn't, so it just works. :)

    A minor nitpick: Make sure you create a directory [tree] before you write to it:

    Code:
    Traceback (most recent call last):
      File "papatcher.py", line 342, in <module>
      if not patcher.get_manifest(stream):
      File "papatcher.py", line 132, in get_manifest
      return self._verify_manifest()
      File "papatcher.py", line 143, in _verify_manifest
      cache_files = listdir(cache_dir)
    FileNotFoundError: [Errno 2] No such file or directory: '/home/hugo/.local/Uber Entertainment/PA/.cache/PTE'
    
    MCXplode and shootall like this.
  17. yrrep

    yrrep Member

    Messages:
    67
    Likes Received:
    79
    Oops, added that after I had already created the cache. That should fix it:
    Code:
            # clean up cache in the process
            cache_dir = os.path.join(CACHE_DIR, self._stream["StreamName"])
            if os.path.exists(cache_dir):
                cache_files = listdir(cache_dir)
    
                bundle_names = [bundle["checksum"]
                                for bundle in self._manifest["bundles"]]
    
                old_bundles = 0
                for cache_file_name in cache_files:
                    if cache_file_name not in bundle_names:
                        cache_file = os.path.join(cache_dir, cache_file_name)
                        remove(cache_file)
                        old_bundles += 1
    
    shootall likes this.
  18. yrrep

    yrrep Member

    Messages:
    67
    Likes Received:
    79
    hobarrera and shootall like this.
  19. wondible

    wondible Post Master General

    Messages:
    3,288
    Likes Received:
    2,085
    Is /{stream} the directory layout used by UberLauncher Windows? OS X has /data/streams/{stream}
  20. MCXplode

    MCXplode Active Member

    Messages:
    196
    Likes Received:
    28
    I get the error "from ssl import create_default_context
    ImportError: cannot import name create_default_context"
    I am guessing that is an error with python importing the ssl module.
    This uses openssl right, if so any ideas on another command that will work I can put into the pte script to make in work.

Share This Page